mchartable_set_range(3m17n)

NAME
mchartable_set_range - Assign a value to the characters in the specified range.

SYNOPSIS
int mchartable_set_range (MCharTable * table, int from, int to, void * val)

DESCRIPTION
Assign a value to the characters in the specified range.

The mchartable_set_range() function assigns value val to the characters from from to to (both inclusive) in chartable table.

RETURN VALUE

    If the operation was successful, mchartable_set_range() returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code. If from is greater than to, mchartable_set_range() returns immediately without an error.

ERRORS

    MERROR_CHAR

SEE ALSO

    mchartable_set()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.